<?php
class Picasa
{
  private $id_empresa;
  private $id_x9;
  private $AtivoNaoAtivo;
  private $sql;
  public $qry;

  public function __construct()
  {
    ob_start();
    session_start();
    $this->id_empresa = $_SESSION["fild_id_empresa"];
    $this->id_x9 = $_SESSION['fild_id_x9'];
  }

  private function execulta()
  {
    //$mysqlCom = new MysqlConnect();
    $this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
  }



  /*public function PicasaUmaFoto($id_evento, $tamanho = '72'){
        $sql = "select usuario, album, capa from evento_picasa
            where id_evento = $id_evento
            and id_empresa = $this->id_empresa";
        $qry = mysqli_query($mysqlCom->connect(),$sql);
        while($row = mysqli_fetch_object($qry)){
          $usuario = $row->usuario;
          $album   = $row->album;
          $capa    = $row->capa;  
        }
        
        if($usuario != ''){
          if($capa == ''){
            $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
          if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
            $xml = simplexml_load_string($tt);
                 for($i = 0; $i < 1; $i++) {
                 $nome = $media->{title};   
                 $media = $xml->{"entry"}[$i];
                 echo $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho;
              }
          } else {
            echo $capa. '?imgmax='.$tamanho;
          }
        } else{
          echo 'img/perfil.png';
        }
      }*/
  public function PicasaUmaFoto($id_evento, $tamanho = '72', $perfil)
  {
    $sql = "select usuario_picasa, album_picasa from album_picasa
            where id_evento = $id_evento
            and id_empresa = $this->id_empresa
            LIMIT 0 , 1";
    $qry = mysqli_query($mysqlCom->connect(), $sql);
    while ($row = mysqli_fetch_object($qry)) {
      $usuario = $row->usuario_picasa;
      $album   = $row->album_picasa;
    }

    if ($usuario != '') {
      if ($capa == '') {
        echo $this->getUmaFotoInterno($usuario, $album) . '?imgmax=' . $tamanho;
      } else {
        echo $capa . '?imgmax=' . $tamanho;
      }
    } else {
      if ($perfil == 'sim')
        echo 'img/perfil.png';
      else
        echo 'img/img.jpg';
    }
  }


  private function getUmaFotoInterno($usuario, $album)
  {
    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&max-results=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
    if (!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
    //$xml = simplexml_load_string($tt);
    $json = json_decode($tt);
    return $json->feed->entry[0]->{'media$group'}->{'media$content'}[0]->url;
  }






  /*      public function PicasaGetUmaImagem($usuario, $album, $tamanho = '220', $btn=true){
        $usuario = addslashes($usuario);
        $album = addslashes($album);
        $sql = "select album_picasa from album_picasa
            where usuario_picasa = '$usuario'
            and album_picasa = '$album'
            and id_empresa = $this->id_empresa";
        $resultado = '';
        $qry = mysqli_query($mysqlCom->connect(),$sql);
        while($row = mysqli_fetch_object($qry)){
          $resultado = $row->album_picasa;
        }
        echo $resultado;
        if($resultado) exit('<p>Já tem um álbum cadastrado com este nome, verifique<p>');
        
        
        $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
        
        if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum<p>'.'<img src="img/user_not_locad.png"/>');
        
        $xml = simplexml_load_string($tt);
              $qto_fotos = count($xml->{"entry"});
              for($i = 0; $i < 1; $i++) {
                 
                 $media = $xml->{"entry"}[$i];
                 $nome = $media->{title};
                 echo '<input type="hidden" name="id_album" id="id_album" value="'.$album.'"/>';
                 echo '<input type="hidden" name="id_usuario" id="id_usuario" value="'.$usuario.'"/>';
                 echo 'Álbum = '.$album .' | Usuário = ' . $usuario . '<p>';
                 
                 echo '<img class="mold" src="'. $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho .'" onclick="return viewer.show('.$i.')"><br>';
                 
                 if($btn) {
                  echo 'Foram localizadas ' . $qto_fotos .' Fotos neste álbum<p>';
                  echo '<input type="hidden" name="EdtQtoFotosOcuto" id="EdtQtoFotosOcuto" value="' . $qto_fotos .'" />';
                   echo '<button class="button blue" id="btnAddAlbumPicasa">Salvar Álbum do Picasa</button>';
                  $this->GetScriptFotosPicasaAll($usuario,$album, '1200');
                 }
                } 
                
                
                //echo 'Nem um Álbum foi Localizado'; //$capa. '?imgmax='.$tamanho;
                  //else echo 'img/perfil.png';
        
      }*/

  public function PicasaGetUmaImagem($usuario, $album, $id_evento, $tamanho = '220', $btn = true)
  {
    $usuario = addslashes($usuario);
    $album = addslashes($album);
    $sql = "select album_picasa from album_picasa
            where usuario_picasa = '$usuario'
            and album_picasa = '$album'
            and id_evento = $id_evento
            and id_empresa = $this->id_empresa";
    $resultado = '';
    $qry = mysqli_query($mysqlCom->connect(), $sql);
    while ($row = mysqli_fetch_object($qry)) {
      $resultado = $row->album_picasa;
    }
    echo $resultado;
    if ($resultado) exit('<p>Já tem um álbum cadastrado com este nome, verifique<p>');
    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(gphoto:numphotos,media:group(media:content))");
    $json = json_decode($tt);
    $qto_fotos = count($json->feed->entry);

    echo '<input type="hidden" name="id_album" id="id_album" value="' . $album . '"/>';
    echo '<input type="hidden" name="id_usuario" id="id_usuario" value="' . $usuario . '"/>';
    echo 'Álbum = ' . $album . ' | Usuário = ' . $usuario . '<p>';
    echo '<img class="mold" src="' . $json->feed->entry[0]->{'media$group'}->{'media$content'}[0]->url .
      '?imgmax=' . $tamanho . '" onclick="return viewer.show(' . $i . ')"><br>';

    if ($btn) {
      echo 'Foram localizadas ' . $qto_fotos . ' Fotos neste álbum<p>';
      echo '<input type="hidden" name="EdtQtoFotosOcuto" id="EdtQtoFotosOcuto" value="' . $qto_fotos . '" />';
      echo '<button class="button blue" id="btnAddAlbumPicasa">Salvar Álbum do Picasa</button>';
      $this->GetScriptFotosPicasaAll($usuario, $album, '1200');
    }
  }




  /*  public function PicasaAllAlbuns($usuario, $paginas = 0){
           // Busca álbuns do usuário
            $tt = file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario");
            // Guarda dados no formato xml
            $xml = simplexml_load_string($tt);
              $nod = 1;       
      
          $qto_toal = count($xml->{"entry"});
            $final = true;
            $pag = (int)$paginas;
               for($i = $pag; $i < $pag + 12; $i++) {
                    $gphoto = $xml->{"entry"}[$i]->children("http://schemas.google.com/photos/2007"); // pega os nodos filhos do namespace http://schemas.google.com/photos/2007
                  $media = $xml->{"entry"}[$i]->children("http://search.yahoo.com/mrss/"); // semelhante à linha acima
          
                  // Criando item da listagem
                
                  echo "<div align='center' class='boxAllAlbumPicasa'>";
                  echo  '<a class="btnGetNomeAlbumPicasa" qto_fotos="'. $gphoto->numphotos .'"  album="'. $xml->{"entry"}[$i]->title .'" href="#">';
                  echo '<img class="sombra" src="'.$media->{"group"}->{"thumbnail"}->attributes()->url. '"/>';
                  echo  $xml->{"entry"}[$i]->title . ' ('. $gphoto->numphotos .')Ftos';
                  echo '</a></div>'; 
                                  
                 
                if($qto_toal-1 == $i){
                  $final = false; 
                  break;
                }
              }
              $pag += 12;
          if($final == true){
            echo '<div  style="clear:both"></div>';
            echo '<button class="button white"  style="margin:10px" id="btnCarregarMaisAlbum" usuario="'.$usuario.'" pag="'. $pag.'">Mais Álbum</button></div>';
          }
      
  }*/

  public function PicasaAllAlbuns($usuario, $paginas = 0)
  {
    // Busca álbuns do usuário
    $pag = (int)$paginas;
    $newPagina = ((int)$paginas + 1);

    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario?start-index=$newPagina&max-results=12&alt=json&fields=entry(title,gphoto:numphotos,media:group(media:thumbnail))");
    $json = json_decode($tt);
    $qtoAlbuns = count($json->feed->entry);
    for ($i = 0; $i < $qtoAlbuns; $i++) {
      $qtoFotos = $json->feed->entry[$i]->{'gphoto$numphotos'}->{'$t'};
      $titulo   = $json->feed->entry[$i]->title->{'$t'};
      $url      = $json->feed->entry[$i]->{'media$group'}->{'media$thumbnail'}[0]->url;

      echo "<div align='center' class='boxAllAlbumPicasa'>";
      echo  '<a class="btnGetNomeAlbumPicasa" qto_fotos="' . $qtoFotos . '"  album="' . $titulo . '" href="#">';
      echo '<img class="sombra" src="' . $url . '"/>';
      echo  $titulo . ' (' . $qtoFotos . ')Ftos';
      echo '</a></div>';
    }
    $pag += 12;
    if ($qtoAlbuns == 12) {
      echo '<div  style="clear:both"></div>';
      echo '<button class="button white"  style="margin:10px" id="btnCarregarMaisAlbum" usuario="' . $usuario .
        '" pag="' . $pag . '">Mais Álbum</button></div>';
    } else {
      echo '<div  style="clear:both">Não tem Mais Álbum</div>';
    }
  }



  public function PicasaFotos($usuario, $album, $paginas, $tamanho = '512', $fotos_array, $aprovada = '', $descricao = '', $identificador = 0, $id_foto_escolhida = '')
  {
    // $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
    $pag = (int)$paginas;
    $newPagina = ((int)$paginas + 1);

    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=$newPagina&max-results=10&alt=json&fields=entry(title,media:group(media:content))");
    if (!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
    $json = json_decode($tt);

    //           $xml = simplexml_load_string($tt);

    //$qto_toal = count($xml->{"entry"});
    $qto_toal = count($json->feed->entry);
    $pag = (int)$paginas;

    $this->sql = "select x9.x9 from x9 where id_x9 = $this->id_x9";
    $this->execulta();
    while ($row = mysqli_fetch_object($this->qry))
      $this->AtivoNaoAtivo = $row->x9;

    //abilita todos o botos do controle e depois faz verificação
    echo '<script>
                     $(".btnNavegador").button({ disabled: false });
                 $(".btnControle").button({ disabled: false });
                 $("#btn' . $pag / 10 . '").button({ disabled: true });
                 $("#btnProximo").attr("nome", "' . (($pag + 10) / 10) . '");
                  $("#btnVoltar").attr("nome", "' . (($pag - 10) / 10) . '");
                  </script>';
    if ($pag == 0) {
      echo '<script>
                     $(".btnControle").button({ disabled: false });
                   $("#btnPrimeiro").button({ disabled: true });
                   $("#btnVoltar").button({ disabled: true });
                  </script>';
    }

    $x = 0;
    echo '<div id="pnFotos" align="center">';
    //echo $qto_toal;

    for ($i = 0; $i < $qto_toal; $i++) {
      $titulo = $json->feed->entry[$i]->title->{'$t'};
      $url = $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url;

      //echo '<img class="mold" src="'. $media->{"content"}[0]->attributes()->src . '?imgmax='.$tamanho .'"><br>';
      echo '<img class="mold" src="' . $url . '?imgmax=' . $tamanho . '" 
                       onclick="return viewer.show(' . $x . ')"><br>';

      echo '<div style="font-size:10px; margin-bottom:20px; margin-top:-20px">' . $titulo . ' - Foto.: ' . ($i + 1) . '</div>';
      $img .=  "viewer.add('" . $url . '?imgmax=' . 1200 . "'); ";
      $x++;
      //<a href="javascript:void(viewer.show(0))">Slideshow</a>

      // Caso o identificar foi 10 muldas os botões
      // esta opção é somente para layout
      if ($identificador == '10')
        $this->FuncaoBTNAlbum(
          $titulo,
          $fotos_array,
          $aprovada,
          $descricao,
          $url,
          $i,
          $id_foto_escolhida
        );

      else {
        if ($this->AtivoNaoAtivo == 'Ativo') {
          if (!in_array($titulo, $fotos_array)) {
            echo '<div id="pnQE' . $i . '" class="pnQueroEssa">                     
                              <button link="' . $url . '" 
                                nome_foto="' . $titulo . '" pn="pnQE' . $i . '" class="mybutton white btnQuero" 
                                deOndeVem="Quero">Quero Escolher Essa
                              </button>
                               </div>';
          } else {
            echo '<div id="pnQE' . $i . '" class="pnQueroEssa">';
            echo ' <button link="' . $url . '" nome_foto="'
              . $titulo . '" pn="pnQE' . $i . '" class="mybutton red btnQuero" deOndeVem="Muldar">Mudar de Idéia
                                  </button>
                                </div>';
          }
        } //Fim Ativo
        else // fim do Finalizado
          echo '<div class="pnQueroEssa">Suas fotos estão como finalizada, 
                                                      maiores informações entre em contato com seu fotografo(a)</div>';
      } //Fim do Else                


    }

    if ($qto_toal != 10) {
      //Desabilita os botoes e para o script
      echo '<script>
                        $("#btnUltimo").button({ disabled: true });
                        $("#btnProximo").button({ disabled: true });
                        </script><br/>';
    }

    $pag += 10;

    echo '<div>';

    echo '<script type="text/javascript">
               var viewer = new PhotoViewer();' .
      $img .
      'viewer.disableEmailLink();
               viewer.disablePhotoLink();
              </script>';
  }


  public function PicasaPaginator($usuario, $album)
  {
    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(title,media:group(media:content))");
    if (!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
    $json = json_decode($tt);
    $qtoTotal = count($json->feed->entry);
    $total_pagina = ceil($qtoTotal / 10);
    //echo $total_pagina;

    echo '<div align="center"> <span id="spAtual">10</span> Fotos de um total ' . $qtoTotal . ' fotos </div>';

    echo '<button id="btnPrimeiro" class="btnControle btnNavegador" nome="0">Primeiro</button>';
    echo '<button id="btnVoltar" class="btnControle btnNavegador" >Voltar</button>';
    echo '<button id="pnAtual" >1</button>';
    echo '<button id="btnProximo" class="btnControle btnNavegador" nome="1">Próximo</button>';
    echo '<button id="btnUltimo" class="btnControle btnNavegador" nome="' . ($total_pagina - 1) . '">Último</button>';
    echo '</div>';
    echo '<div class="can"></div>';
    for ($i = 1; $i < $total_pagina + 1; $i++) {
      //echo '<div class="btnNavegador padrao redondo" nome="'. $i .'">'. $i .'</div>';
      echo '<button class="btnNavegador" id="btn' . ($i - 1) . '" nome="' . ($i - 1) . '" >' . $i . '</button>';
    }

    echo '<div class="can"></div>';
    echo '<script>
                     $( ".btnNavegador, #btnPrimeiro, #btnVoltar, #btnProximo, #btnUltimo, #pnAtual" )
                    .button().click(function( event ) {
                      event.preventDefault();
                    });  
                    $("#pnAtual").button({ disabled: true });
                    $("#btn0").button({ disabled: true });
                    $("#btnPrimeiro").button({ disabled: true });
                    $("#btnVoltar").button({ disabled: true });
                    
                    </script>';
  }





  public function CarregarWebSite($empresa, $website)
  {
    $this->sql = "select usuario_picasa, album_picasa, descricao from album_picasa
              where id_empresa = $empresa 
              and website = '$website'
              LIMIT 0 , 1";

    $this->execulta();
  }






  public function GetScriptFotosPicasaAll($usuario, $album, $tamanho = '1200')
  {
    /*$tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album");
          if(!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
        $xml = simplexml_load_string($tt);
            
            $qto_total = count($xml->{"entry"});*/
    $tt = @file_get_contents("http://picasaweb.google.com/data/feed/api/user/$usuario/album/$album?start-index=1&alt=json&fields=entry(title,media:group(media:content))");
    if (!$tt) exit('Não Foi Localizado nem uma foto para esté Álbum');
    $json = json_decode($tt);
    $qto_total = count($json->feed->entry);

    for ($i = 0; $i < $qto_total; $i++) {
      $titulo = $json->feed->entry[$i]->title->{'$t'};
      $url = $json->feed->entry[$i]->{'media$group'}->{'media$content'}[0]->url;

      $btn = '<button id="btn' . $i . '" class="mybutton red btnPhoto" name=' . $titulo . '>Quero Essa ' . $titulo . '</button>';
      $img .=  "viewer.add('" . $url . '?imgmax=' . $tamanho . "','" . $btn . "' ); ";
    }

    echo '<script type="text/javascript">
               var viewer = new PhotoViewer();' .
      $img .
      'viewer.disableEmailLink();
               viewer.disablePhotoLink();
              </script>';
  }




  public function CarregarAlbunsPicasa($id_evento, $id_x9_local)
  {
    $this->sql = "select a.id_album_picasa, a.id_evento,
                a.id_empresa, 
                a.id_x9_local,a.usuario_picasa, a.album_picasa, a.descricao, a.acesso,
                a.data_criacao, a.website, a.qto_fotos, b.descricao as local
                from album_picasa a, x9_local b
                where a.id_evento = $id_evento
                and a.id_empresa = $this->id_empresa";
    $this->sql = $this->sql . " and a.id_x9_local = b.id_x9_local";

    if ($id_x9_local != 0)
      $this->sql = $this->sql . " and a.id_x9_local = $id_x9_local";


    $this->execulta();
    //        $qto = mysqli_num_rows($this->qry);
    $qto = 0;
    //  if($qto > 0){
    echo ' <div><ul>';
    while ($row = mysqli_fetch_object($this->qry)) {
      if ($row->id_x9_local == '4') {

        echo '<li class="first"><a id="btnNoiva" href="?p=fotos&id=' . $row->id_x9_local . '&ap=' . $row->id_album_picasa . '">' .
          $row->descricao . ' - ' . $row->local  . '</a></li>';
      } else {
        echo '<li class="first"><a href="?p=fotos&id=' . $row->id_x9_local . '&ap=' . $row->id_album_picasa . '">' .
          $row->descricao . ' - ' . $row->local  . '</a></li>';
      }
    }
    echo '</ul><i></i></div>';

    //  }

  }


  private function FuncaoBTNAlbum($nome, $fotos_array, $aprovada, $descricao, $link, $i, $id_foto_escolhida)
  {
    $id_foto = $id_foto_escolhida[array_search($nome, $fotos_array)];
    $desc    = $descricao[array_search($nome, $fotos_array)];
    $aprov   = $aprovada[array_search($nome, $fotos_array)];

    echo '<div id="pnQE' . $i . '" class="pnQueroEssa">';


    if (!in_array($nome, $fotos_array)) {
      if ($this->AtivoNaoAtivo == 'Ativo')
        echo
        '<button link="' . $link . '" nome_foto="' . $nome . '" pn="pnQE' . $i . '" 
               class="mybutton blue btnAprovo" deOndeVem="Aprovo">Aprovo
               </button>
              <button link="' . $link . '" nome_foto="' . $nome . '" pn="pnQE' . $i . '" 
               class="mybutton red btnNaoAprovo" deOndeVem="NaoAprovo">Não Aprovo
              </button>';
    } else {
      if ($aprov == '0')
        echo '<img src="images/aprovado.jpg"/><br>';
      else {
        echo '<div style="width:550px; ">' . $desc . '</div></br>';
        echo '<img style="margin-bottom:0px;" src="images/nao_aprovo.png"/><br>';
      }

      if ($this->AtivoNaoAtivo == 'Ativo')
        echo '<button id_foto_escolhida="' . $id_foto  . '" link="' . $link . '" nome_foto="' .
          $nome . '" pn="pnQE' . $i . '" class="mybutton white btnMuldarIdeia" deOndeVem="MudarIdeia">Mudar de Idéia
              </button>';
    }

    echo '</div>';
  }
}
